Ingest new readings. This endpoint allows the ingestion of batches of readings.
Ingesting readings is only supported for assets created using the POST /assets API endpoint with readingsIngestionEnabled set to true. To see a full list of readings available for ingestion use the GET readings definitions API. When ingesting location data, the readingID ‘location’ must be used and the value object must contain at least the following fields: ‘speed’, ‘latitude’, ‘longitude’.
Related guide: Readings.
Rate limit: 10 requests/sec (learn more about rate limits here).
To use this endpoint, select Write Readings under the Readings category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request POST \
--url https://api.samsara.com/readings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"entityType": "asset",
"happenedAtTime": "2023-10-27T10:00:00Z",
"readingId": "airInletPressure",
"value": "off",
"entityId": "123451234512345",
"externalId": "maintenanceId:250020"
}
]
}
'This response has no body data.Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.samsara.com/readings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"entityType": "asset",
"happenedAtTime": "2023-10-27T10:00:00Z",
"readingId": "airInletPressure",
"value": "off",
"entityId": "123451234512345",
"externalId": "maintenanceId:250020"
}
]
}
'This response has no body data.